<script setup>
const props = defineProps({
  currentProject: undefined,
  currentProjectVotes: undefined,
});
</script>

<template>
  <div
    class="bg-gray-900 rounded-t-lg -mt-5 absolute bottom-0 w-full z-10 px-5 pt-2 pb-5"
  >
    <RouterLink to="/">
      <div
        class="absolute w-10 h-10 z-40 right-5 -top-5 text-gray-200 flex justify-center items-center"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 24 24"
          fill="currentColor"
          class="w-12 h-12"
        >
          <path
            fill-rule="evenodd"
            d="M12 2.25c-5.385 0-9.75 4.365-9.75 9.75s4.365 9.75 9.75 9.75 9.75-4.365 9.75-9.75S17.385 2.25 12 2.25zm-1.72 6.97a.75.75 0 10-1.06 1.06L10.94 12l-1.72 1.72a.75.75 0 101.06 1.06L12 13.06l1.72 1.72a.75.75 0 101.06-1.06L13.06 12l1.72-1.72a.75.75 0 10-1.06-1.06L12 10.94l-1.72-1.72z"
            clip-rule="evenodd"
          />
        </svg></div
    ></RouterLink>

    <div class="w-10 h-1 bg-gray-500 rounded mx-auto mb-5"></div>

    <div class="flex -mx-3">
      <div class="w-full px-3 text-center">
        <div
          v-if="currentProject"
          class="text-xl leading-none mb-2 text-gray-200"
        >
          {{ currentProject.projectTitle }}
        </div>
        <div
          v-if="currentProject"
          class="text-xs leading-none mb-2 text-gray-200"
        >
          {{ currentProject.projectDescription }}
        </div>
      </div>
    </div>
    <hr class="border-gray-800 my-5" />
    <div class="flex -mx-3">
      <div
        v-for="(vote, index) in currentProjectVotes"
        :key="index"
        class="w-1/2 px-3 text-center"
      >
        <div class="text-m leading-tight mb-2 text-gray-200">
          {{ vote.text }}
        </div>
        <div class="text-xl leading-tight mb-2 text-gray-200">
          {{ vote.count }}
        </div>
      </div>
    </div>
    <!-- <hr class="border-gray-800 my-5" /> -->
    <!-- <div class="flex -mx-3">
      <div class="w-full px-3">
        <div class="text-xs leading-tight text-gray-200 mb-5 text-center">
          Last Token ID that voted YES:
        </div>
        <div class="text-xs leading-tight text-gray-200 mb-5 text-center">
          218664204629665964939140705672100707765343015479457690871071881224939905546
        </div>
      </div>
    </div> -->
  </div>
</template>
